/client-tokens client_token.read
permission.
Query parameters
meta.pagination.next URL in responses for list operations.50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: id.
activeactiverevoked
Header parameters
true to skip the count query on list operations. When set, meta.pagination.estimated_total returns -1 instead of an exact count.Response (200)
ctkn_01ghbkd0frb9k95cnhwd1bxpvkctkn_. Not used for Paddle.js authentication; use token for authentication.^ctkn_[a-z\d]{26}$test or live depending on the environment of your account. Pass as the token parameter when initializing Paddle.js to authenticate.activeactiveClient-side token is active. The token can be used to authenticate Paddle.js.revokedClient-side token is revoked. The token can't be used to authenticate Paddle.js.
2024-10-12T07:20:50.52Z2024-10-12T07:20:50.52Z2024-10-13T07:20:50.52Zb15ec92e-8688-40d4-a04d-f44cbec93355after parameter that marks the starting point of the next page. Always returned, even if has_more is false.999Estimated number of entities for this response.
For datasets with 100,000 or fewer matches, returns the exact count. For datasets with more than 100,000 matches, returns 100001 to indicate that more than 100,000 entities match. Returns -1 when counting is skipped or couldn't be calculated.
Use has_more and next to page through all results rather than relying on estimated_total for an exact count.
{ "data": [ { "id": "ctkn_01jppmjcn2ydvfrf861sptq6zh", "token": "live_7d279f61a3499fed520f7cd8c08", "name": "In-app subscription management", "description": "Used to allow logged-in users to upgrade/downgrade their subscriptions directly within our web app's account settings.", "status": "active", "created_at": "2025-06-25T15:30:14.321Z", "updated_at": "2025-06-25T15:30:14.321Z", "revoked_at": null }, { "id": "ctkn_01ghbkd0frb9k95cnhwd1bxpvk", "token": "live_7d279f61a3499fed520f7cd8c08", "name": "Pricing page integration", "description": "Used to display prices and open checkout within our pricing page on our marketing domain.", "status": "revoked", "created_at": "2025-06-26T14:36:14.695Z", "updated_at": "2025-06-27T11:26:10.253Z", "revoked_at": "2025-06-27T11:26:10.253Z" } ], "meta": { "request_id": "913dee78-d496-4d13-a93e-09d834c208dd", "pagination": { "per_page": 50, "next": "https://api.paddle.com/client-tokens?after=ctkn_01ghbkd0frb9k95cnhwd1bxpvk", "has_more": false, "estimated_total": 2 } }}